package Visual_DVM_2021.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Visual.UI;
import _VisualDVM.TestingSystem.DVM.DVMPackage.DVMPackage;
import Visual_DVM_2021.Passes.DeleteTestingPackages;

import java.io.File;
public class DeleteDVMPackage extends DeleteTestingPackages<DVMPackage> {
    public DeleteDVMPackage() {
        super(DVMPackage.class);
    }
    protected void showPreparation() throws Exception {
        super.showPreparation();
        UI.getMainWindow().getTestingWindow().DropTestRunTasksComparison();
    }
    @Override
    protected File getPackagesHome() {
        return Global.DVMPackagesDirectory;
    }
}

